Skip to main content
GET
/
mealvoucher
/
api
/
statutories
/
{statutoryId}
/
distributions
List a statutory's distributions
curl --request GET \
  --url https://{host}/mealvoucher/api/statutories/{statutoryId}/distributions \
  --header 'Authorization: <authorization>'
import requests

url = "https://{host}/mealvoucher/api/statutories/{statutoryId}/distributions"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://{host}/mealvoucher/api/statutories/{statutoryId}/distributions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "startsOn": "2023-12-25",
    "endsOn": "2023-12-25",
    "status": 123,
    "activeComputation": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  }
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Path Parameters

statutoryId
string<uuid>
required

Unique identifier of the statutory

Query Parameters

limit
integer<int32>
default:10

Page size

Required range: 1 <= x <= 10
fields.root
enum<string>

Return total items count (across all pages).

Available options:
prev,
next,
count

Response

OK

items
The Distribution ressource · object

A distribution is the computation of meal vouchers allocation to recipients for a given period and statutory

Example:
{
"id": "5da6ad90-3b5f-4c57-8ac6-ea34e2d82ea6",
"startsOn": "2023-03-01T00:00:00",
"endsOn": "2023-03-31T00:00:00",
"status": 5,
"statutoryId": "8310b1ad-7145-4dfa-a980-89418f43957f",
"activeComputation": {
"id": "3d0c150e-cf21-4a91-801e-bc0febfb3d71"
}
}